<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-searchbar
    placeholder="Busca una Localitzacio" 
    [(ngModel)]="searchTerm2"
    debounce="100"
    showCancelButton="focus"
    animated> 
  </ion-searchbar> 
  </ion-toolbar>
</ion-header>
  <ion-content class="bg" >
    <ion-item class="bg" *ngFor="let location of locations  | filter:searchTerm2 ">
      <ion-card (click)="verDetalle(location.name, location.id, location.type, location.dimension)">
        <img src="{{location.image}}" />
        <ion-card-header>
          <ion-card-subtitle>Location</ion-card-subtitle>
          <ion-card-title>{{location.name}}</ion-card-title>
        </ion-card-header>
      </ion-card>
    </ion-item>
 <ion-infinite-scroll threshold="25%" position="bottom" (ionInfinite)="loadData($event)">
  <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading more data..."></ion-infinite-scroll-content>
 </ion-infinite-scroll>
</ion-content>

